<div class="parent">
  <div class="children">
    <div class="child">
      <h1 style="padding-top: 110px; font-size: 24px; text-align: center;">Categories: </h1>
      <app-category-sidebar style="padding-top: 27px; margin-left: 20px; margin-bottom: 40px;" [editable]="false"
        (messageEvent)="receiveMessage($event)" (AllTopic)="receiveAllTopics($event)" [categories]="categories">
      </app-category-sidebar>
      <!--Lagt til for enklere å kalle metode skyld
      <button class="all-topics-btn" (click)="displayMySubscriptions()">See subscriptions</button>-->
    </div>

  </div>
  <div class="children topics">

    <div>
      <p class="loginStyle" style="text-align: center; padding-bottom: 20px;">Credentials: {{ login }}</p>
    </div>
    <div class="control has-icons-left has-icons-right input-item">
      <input class="input is-rounded" type="email" placeholder="Search" [(ngModel)]="searchText">
      <span class="icon is-small is-left">
        <i class="material-icons">search</i>
      </span>
      <span class="icon is-small is-right">
        <i class="fas fa-check"></i>
      </span>
    </div>

    <div class="child topic-item">
      <div *ngFor="let category of categories | filter: categorySearch">
        <div *ngFor="let subCategory of category.subCategories | filter: subCategorySearch">
          <div *ngFor="let topic of subCategory.topics | filter: searchText">
            <div class="child topic-item highlight" (click)="SubscribeToTopic(topic)">
              <div class="card" style="border-radius: 30px;">

                <div class="card-content">
                  <p style="text-align: center;" class="title">
                    Topic: {{topic.name}}
                  </p>
                  <!--<div style="text-align: right;">
                    <label class="checkbox subtitle checkbox-item">
                      <input type="checkbox" (change)="SubscribeToTopic(topic)" [checked]="checkSubscribed(topic)">
                      Subscribe
                    </label>

                  </div>-->
                  <p style="text-align: center;" class="subtitle">
                    Description: {{topic.description}}
                  </p>
                </div>
                <footer class="card-footer">
                  <p class="card-footer-item">
                    <span>
                      Category: {{category.name}}
                    </span>
                  </p>
                  <p class="card-footer-item">
                    <span>
                      Sub-Category: {{subCategory.name}}
                    </span>
                  </p>

                  <p class="card-footer-item subscribe" [ngClass]="{'active' : checkSubscribed(topic)}">
                    <span>
                      {{ checkSubscribed(topic) ? "Subscribed" : "Unsubscribed" }}
                    </span>
                  </p>
                </footer>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>


  </div>

</div>
